<template>
  <div class="main">
    <LoginForm
    />
    <!-- <PasswordForm
      v-show="status===1"
      @changeStatus="changeStatus"
    />
    <RegisterForm
      v-show="status===2"
      @changeStatus="changeStatus"
    /> -->
  </div>
</template>

<script>
import LoginForm from './components/LoginForm.vue'
// import PasswordForm from './components/PasswordForm.vue'
// import RegisterForm from './components/RegisterForm.vue'

export default {
  components: {
    LoginForm
    // PasswordForm,
    // RegisterForm
  },
  data() {
    return {
      loading: false,
      status: 0
    }
  },
  created() {
    // window.location.href = 'http://192.168.15.130:8001/SSO/user/login?joinsysCode=e4b8bbe695b0e68d'
  },
  mounted() {
    this.getStatus()
  },
  methods: {
    changeStatus(status) {
      this.status = status
    },
    getStatus() {
      if (window.localStorage.getItem('status') === null) return false
      this.status = window.localStorage.getItem('status') * 1
    }
  }

}
</script>

<style lang="less" scoped>
  .main{

  }
</style>
